Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_ConstTessMemberResultCallback_0_1< del, R, T, A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _ConstTessMemberResultCallback_0_1< del, R, T, A1 >:

List of all members.

## Public Types

typedef TessResultCallback1< R, A1 > | base
typedef R(T::* | MemberSignature )(A1) const

## Public Member Functions

| _ConstTessMemberResultCallback_0_1 (const T *object, MemberSignature member)
virtual R | Run (A1 a1)
Public Member Functions inherited from TessResultCallback1< R, A1 >
virtual | ~TessResultCallback1 ()

## Detailed Description

### template<bool del, class R, class T, class A1>
class _ConstTessMemberResultCallback_0_1< del, R, T, A1 >

Definition at line 288 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class T, class A1>

typedef TessResultCallback1<R,A1> _ConstTessMemberResultCallback_0_1< del, R, T, A1 >::base

Definition at line 290 of file tesscallback.h.

template<bool del, class R, class T, class A1>

typedef R(T::* _ConstTessMemberResultCallback_0_1< del, R, T, A1 >::MemberSignature)(A1) const

Definition at line 291 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class T, class A1>

_ConstTessMemberResultCallback_0_1< del, R, T, A1 >::_ConstTessMemberResultCallback_0_1 | ( | const T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 298 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class R, class T, class A1>

virtual R _ConstTessMemberResultCallback_0_1< del, R, T, A1 >::Run | ( | A1 | a1 | ) |

inlinevirtual

Implements TessResultCallback1< R, A1 >.

Definition at line 304 of file tesscallback.h.

{
if (!del) {
R result = (object_->*member_)(a1);
return result;
} else {
R result = (object_->*member_)(a1);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h